﻿Module modFunctions
    Friend Enum UserTypes As Integer
        NormalUser = 0
        FunctionCards = 2
    End Enum
    ''' <summary>
    ''' Convert byte array to image
    ''' </summary>
    ''' <param name="imgData"></param>
    ''' <returns></returns>
    Friend Function fnImageFromBytes(ByVal imgData As Byte()) As Image
        Try
            If IsNothing(imgData) = True OrElse (imgData.Length = 0) Then
                Return Nothing
            End If
            Dim ms As MemoryStream = New System.IO.MemoryStream(imgData)
            Dim img As Image = Image.FromStream(ms)
            Return img
        Catch ex As Exception
            Return Nothing
        End Try
    End Function

End Module
